---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# ScheduledJobConfig

 **ScheduledJobConfig**: `Object`

## Type Parameters

<ParameterTypes parameters={[
  {
    "name": "T",
    "type": "`object`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />

## Type declaration

<ParameterTypes parameters={[
  {
    "name": "data",
    "type": "`T`",
    "description": "An optional data object to pass to the job handler",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "name",
    "type": "`string`",
    "description": "The name of the job",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "schedule",
    "type": "`string`",
    "description": "The cron schedule of the job, e.g. `0 0 * * *` for running every day at midnight.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
